from flask import Flask
from flask_sqlalchemy import SQLAlchemy

# 定义模块级别的 db 对象
db = SQLAlchemy()

# 定义模块级别的 app 对象
app = None

def create_app():
    global app  # 使用 global 关键字将 app 定义为全局变量
    app = Flask(__name__)
    # app.config.from_object('config.Config')
    app.config['SQLALCHEMY_DATABASE_URI'] = 'sqlite:///assessments.db'
    db.init_app(app)
    
    with app.app_context():
        from . import routes  # 导入路由
        db.create_all()  # 创建数据库表
        
    return app