from app import create_app, app, db
from app.models import Assessment, Question
from datetime import datetime

with app.app_context():
    # 创建数据库表
    db.create_all()

    # 创建形成性评估
    formative_assessment = Assessment(title="Formative Test", type="formative")
    db.session.add(formative_assessment)
    db.session.commit()

    # 添加形成性评估的问题
    formative_questions = [
        {"text": "What is 2 + 2?", "type": "multiple_choice", "correct_answer": "4"},
        {"text": "What is the capital of France?", "type": "multiple_choice", "correct_answer": "Paris"},
        {"text": "Is the sky blue?", "type": "true_false", "correct_answer": "True"},
        {"text": "What is 5 * 5?", "type": "multiple_choice", "correct_answer": "25"},
        {"text": "Is water H2O?", "type": "true_false", "correct_answer": "True"}
    ]
    for q in formative_questions:
        question = Question(text=q['text'], type=q['type'], correct_answer=q['correct_answer'], assessment_id=formative_assessment.id)
        db.session.add(question)
    db.session.commit()

    # 创建总结性评估
    summative_assessment = Assessment(title="Summative Test", type="summative", deadline=datetime(2023, 12, 31, 23, 59, 59))
    db.session.add(summative_assessment)
    db.session.commit()

    # 添加总结性评估的问题
    summative_questions = [
        {"text": "What is 10 - 4?", "type": "multiple_choice", "correct_answer": "6"},
        {"text": "What is the capital of Germany?", "type": "multiple_choice", "correct_answer": "Berlin"},
        {"text": "Is the Earth flat?", "type": "true_false", "correct_answer": "False"},
        {"text": "What is 8 / 2?", "type": "multiple_choice", "correct_answer": "4"},
        {"text": "Is the sun a star?", "type": "true_false", "correct_answer": "True"}
    ]
    for q in summative_questions:
        question = Question(text=q['text'], type=q['type'], correct_answer=q['correct_answer'], assessment_id=summative_assessment.id)
        db.session.add(question)
    db.session.commit()

    print("Database initialized with test data.")